Catacomb: ABYSS v1.0

For Total Conversions and projects that don't otherwise fall under the other categories.
Forum rules
The Projects forums are ONLY for YOUR PROJECTS! If you are asking questions about a project, either find that project's thread, or start a thread in the General section instead.

Got a cool project idea but nothing else? Put it in the project ideas thread instead!

Projects for any Doom-based engine (especially 3DGE) are perfectly acceptable here too.

Please read the full rules for more details.

Re: Catacomb: ABYSS v1.0

Postby Pepois » Sat Aug 25, 2018 1:20 pm

Yes Kinsie, I am aware of that, thus the purpose of asking for help in order to achieve the goal which is to run an ancient version of GZDoom which is compatible with OpenGl 1.x. I've already asked Inferion_ if he could perhaps compile the wad in a 1.x version etc.

Warm regards
Pepois
 
Joined: 08 Sep 2016

Re: Catacomb: ABYSS v1.0

Postby Rachael » Sat Aug 25, 2018 1:25 pm

This is becoming enough of a problem now that we're going to have to establish an actual rule about this.

Don't ask project creators to "downgrade" their mod to older versions of ZDoom/GZDoom just so you can run it on whatever potato ABI or hardware you might have!
User avatar
Rachael
Webmaster
 
Joined: 13 Jan 2004
Discord: Rachael#3767
Twitch ID: madamerachelle
Github ID: madame-rachelle
Graphics Processor: nVidia with Vulkan support

Re: Catacomb: ABYSS v1.0

Postby Pepois » Sat Aug 25, 2018 1:35 pm

Hi Rachael,

I am sorry. It's just that I've been following Inferion's project for almost 2 years now, and was/am very excited about it. And since we have all these new technologies VR, 3D... and I already have most of the "classic games" running on both... but yes, you are right. I wont post any downgrade requests.

Warm regads!
Pepois
Pepois
 
Joined: 08 Sep 2016

Re: Catacomb: ABYSS v1.0

Postby Tormentor667 » Sat Aug 25, 2018 4:09 pm

Awesome!!!!

After doing some first tries with the mod, I have to admit you have done a great work. Catacomb Abyss was one of my first games I've played and it's so much fun playing it again in a modern engine :) Some suggestions though:
  • When starting, I get an error in the console: "Script Error, "GZDoom.pk3: Menudef.txt line 42, unknown texture M_DOOM" (played it with DOOM2.WAD, ABYSS.WAD is no iwad)
  • Noticed that the menu font is still the original doom font, I'd suggest using the same font as ingame
  • Position of status text and status bar area is not properly adjusted: https://imgur.com/a/FrMK4MI - is there a special resolution I have to play this?
  • The automap on the right is not working at all: https://imgur.com/a/FrMK4MI

Will post more when proceeding :)
User avatar
Tormentor667
needs more detail
 
Joined: 16 Jul 2003
Location: Germany

Re: Catacomb: ABYSS v1.0

Postby inferion_ » Sun Aug 26, 2018 9:18 am

Tormentor667 wrote:[*]Position of status text and status bar area is not properly adjusted: https://imgur.com/a/FrMK4MI - is there a special resolution I have to play this?
[*]The automap on the right is not working at all: https://imgur.com/a/FrMK4MI

This happened to me too when using newer versions of gzdoom. I tested with gzdoom g2.1.1, but i suppose you can try changing the aspect ratio.
User avatar
inferion_
 
Joined: 13 Aug 2013

Re: Catacomb: ABYSS v1.0

Postby Kinsie » Sun Aug 26, 2018 10:15 am

The HUD looks fine (automap excepted) in 16:9 mode.
User avatar
Kinsie
A Concept Utterly Obsolete
 
Joined: 22 Oct 2004
Location: MAP33
Discord: Find Me...
Twitch ID: thekinsie

Re: Catacomb: ABYSS v1.0

Postby Pepois » Sun Aug 26, 2018 2:37 pm

Hi everyone,

After spending some time with the Abyss file, I managed to fire it up with GZDoom version 1.3.13 which is/was the latest version compatible with OpenGL 1.0 thus it works with a opengl to directx9 wrapper thus it works with Tridef 3D thus you can play the game in stereo 3D, I think its worth it since The Catacombs Abyss was one of the 1st 3D games available (if not the first) hence its historic importance and one of the reasons why I believe Inferion_'s work is very emblematic. Thank you once again Inferion_!

Warm regards
Pepois

Here's a little snippet in case you want to see the game in all it's stereo 3D glory:

https://s8.postimg.cc/wpzjqlnat/image.png
https://s8.postimg.cc/nuypg3dxx/image.png

You can download the full 1920x1080 files here:
https://www.dropbox.com/s/m99pvtthh4gdpgh/1.png?dl=0
https://www.dropbox.com/s/90pmcevxtczfw7r/2.png?dl=0
Pepois
 
Joined: 08 Sep 2016

Re: Catacomb: ABYSS v1.0

Postby Nash » Sun Aug 26, 2018 4:03 pm

Doesn't GZDoom 3.5.1 already natively support that side-by-side stereoscopic rendering natively? Why do you insist on using an external DLL and an ancient version of GZDoom?

(unless you have a computer incapable of running the latest GZDoom, in which case disregard my question)
User avatar
Nash
 
 
 
Joined: 27 Oct 2003
Location: Kuala Lumpur, Malaysia
Github ID: nashmuhandes

Re: Catacomb: ABYSS v1.0

Postby Pepois » Sun Aug 26, 2018 5:05 pm

Does it??? wow, maybe I missed that, actually I have a new Alienware Aurora R6 with Nvidia 1080Ti dedicated just for gaming = ) I know it works with VR, which works great, but I wasn't aware that it also did 3D stereo.

Will check!
Pepois
 
Joined: 08 Sep 2016

Re: Catacomb: ABYSS v1.0

Postby Nash » Sun Aug 26, 2018 6:04 pm

Options -> Display Options -> OpenGL Renderer

The stereoscopic stuff is midway through the menu
User avatar
Nash
 
 
 
Joined: 27 Oct 2003
Location: Kuala Lumpur, Malaysia
Github ID: nashmuhandes

Re: Catacomb: ABYSS v1.0

Postby drfrag » Mon Aug 27, 2018 5:05 am

Pepois wrote:which is/was the latest version compatible with OpenGL 1.0 thus it works with a opengl to directx9 wrapper

GZDoom never worked with OpenGL 1.0 only 1.1 and not on all cards. Which wrapper? Is it that shitty GLDirect thing? It certainly worked but very far from fine. Also there was an open source version with 1.1 support but the release free version supported up to 1.4.
User avatar
drfrag
I.R developer, I.R smart
Vintage GZDoom Developer
 
Joined: 23 Apr 2004
Location: Spain

Re: Catacomb: ABYSS v1.0

Postby Valken » Mon Aug 27, 2018 7:01 am

I am testing this with GZDoom 3.5.1 with no errors. I just dragged and dropped the wad onto GZdoom. I used wadsmooshed iwad.

Works fantastic and the one feature to get WASD strafing controls alone was worth it. I hated the old Wolf 3D engine controls with 2 key press to strafe.

Plus the CGA graphics and default 8-bit sounds. I totally love this conversion as is!

It was funny to see the messages - turning in mouse look mode or advancing when pressing the W key.

I think a future update would be remove those since its kind obvious for Doomers and maybe relocate some of the messages like CEMETARY, etc... to another spot instead of the middle of the screen. I know, its a port, but minor things like UI improvements may enhance it without destroying the game.

Just wanted to say thank yuo for this. Looking forward to more ports of the series if someone will work on it.
Valken
 
Joined: 08 Jun 2015

Re: Catacomb: ABYSS v1.0

Postby Pepois » Mon Aug 27, 2018 9:17 am

Thank you Nash, I did it see it once you pointed out, thank you!
Drfrag, yes, I was referring to the maybe the same one, it was released by a person named Peter and for me it worked great, specially with games that didn't support directx9 and supported opengl like half-life (before you had half-life steam edition).

After testing and comparing snapshots between using the native GzDoom stereo 3D and Tridef's, I found that the "sbs narrow" option is the best or the one that resembles Tridef's. Perhaps having an option with a couple of sliders with 3D strength and 3D distance would be great for a future feature.

Ill see if I can add it in the corresponding section... that is if there is a features request one.

Anyway, thank you everyone for bumping in and helping me!

Pepois

EDITED: Just posted the request in the requests section. :o
Pepois
 
Joined: 08 Sep 2016

Re: Catacomb: ABYSS v1.0

Postby NightFright » Mon Aug 27, 2018 11:52 am

So is this officially working now with GZD 3.5.1 or not? I am really interested in trying this, but I don't want to use a deprecated GZD build just for this.
User avatar
NightFright
Spotlight Team
 
Joined: 02 May 2008
Location: Germany

Re: Catacomb: ABYSS v1.0

Postby wildweasel » Mon Aug 27, 2018 12:28 pm

NightFright wrote:So is this officially working now with GZD 3.5.1 or not? I am really interested in trying this, but I don't want to use a deprecated GZD build just for this.

As far as I've gleaned from the rest of the thread, it's perfectly fine, but it shouldn't hurt to just try it and see what happens.
User avatar
wildweasel
change o' pace.
Moderator Team Lead
 
Joined: 16 Jul 2003

PreviousNext

Return to TCs, Full Games, and Other Projects

Who is online

Users browsing this forum: rabid marine and 6 guests